﻿package
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.ColorTransform;
	import flash.geom.Point;
	public class Coliner extends Sprite
	{
		private var angle:Number = 100;
		private var path:Array;
		private var pathHeight:Number;
		private var image:BitmapData;
		private var c_trs:ColorTransform = new ColorTransform (1, 50, 9, 0.999);
		private var support:Sprite = new Sprite();
		public function Coliner()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void{
			addChild (new Bitmap (image = new BitmapData(stage.stageWidth, stage.stageHeight,false,0xcc99ff)));
			this.addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			support.graphics.clear();
			support.graphics.moveTo(0,stage.stageHeight-2);
			var mX:Number = stage.stageWidth/2-mouseX
			var color:Number = Math.random()*0xffffff;
			for(var i:Number=0;i<stage.stageWidth;i++){
				var posy:Number = Math.sin((i+angle/10)*Math.PI/1000)*Math.cos(i*Math.PI/1000)*(stage.stageWidth/2-i)*(mX/10);
				support.graphics.lineStyle(2,0x3366ff);
				support.graphics.lineTo(i*1.5,stage.stageHeight-200+posy);
			}
			angle+=100;
			image.colorTransform (image.rect, c_trs);
			image.scroll (-0.9, -1);
			image.draw(support);
		}
	}
}